Bug 127078 - nfs o_direct hangs unexpectedly in read
Summary: nfs o_direct hangs unexpectedly in read
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-01 17:50 UTC by Jason Baron
Modified: 2013-03-06 05:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-29 17:56:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is the file that we failed to read, and /var/log/messages from the client box w/alt-syrq-t output, the hanging process is the 'cat' (377.71 KB, text/plain)
2004-07-01 17:56 UTC, Jason Baron
no flags Details
A SysRq of the hang I'm seeing (18.19 KB, text/plain)
2004-07-02 13:53 UTC, Steve Dickson
no flags Details

Description Jason Baron 2004-07-01 17:50:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040304

Description of problem:
While simpley 'cat' of files mounted with the 'noac' option, and nfs
loaded with the module parameter, nfs_uncache_io=1, some file reads
unexpected hang in read. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount -o noac dhcp64-180:/tmp /tmp/pro/mnt/tmp/
2. cd /tmp/pro/mnt/tmp/
3. cat war-e.43-e.44 

    

Actual Results:  hang in read

Expected Results:  no hand

Additional info:

I'm attaching the file, 'war-e.43-e.44' that the read failed on in
case there is sumething special about it, i've also got alt-sysrq-t at
the time of the hang. This also does not appear to be a regression,
although initial reproduced on the U5 beta candidate e.46, i've also
reproduced thsi issue on e.40, and e.41.

Comment 1 Jason Baron 2004-07-01 17:56:30 UTC
Created attachment 101566 [details]
here is the file that we failed to read, and /var/log/messages from the client box w/alt-syrq-t output, the hanging process is the 'cat'

Comment 2 Steve Dickson 2004-07-02 13:53:35 UTC
Created attachment 101598 [details]
A SysRq of the hang I'm seeing

Comment 3 Jason Baron 2007-03-29 17:56:38 UTC
rhel2.1 is only accepting security/data corruption fixes at this point. closing.


Note You need to log in before you can comment on or make changes to this bug.